JACK-AUDIO-CONNECTION-KIT 0.125.0

Data Fields
jack_transport_info_t Struct Reference

`#include <transport.h>`

## Data Fields
jack_nframes_t | frame_rate
jack_time_t | usecs
jack_transport_bits_t | valid
jack_transport_state_t | transport_state
jack_nframes_t | frame
jack_nframes_t | loop_start
jack_nframes_t | loop_end
long | smpte_offset
float | smpte_frame_rate
int | bar
int | beat
int | tick
double | bar_start_tick
float | beats_per_bar
float | beat_type
double | ticks_per_beat
double | beats_per_minute

## Detailed Description

Deprecated struct for transport position information.

Deprecated:
  This is for compatibility with the earlier transport interface. Use the jack_position_t struct, instead.

## Field Documentation

## ◆ bar

int jack_transport_info_t::bar

## ◆ bar_start_tick

double jack_transport_info_t::bar_start_tick

## ◆ beat

int jack_transport_info_t::beat

## ◆ beat_type

float jack_transport_info_t::beat_type

## ◆ beats_per_bar

float jack_transport_info_t::beats_per_bar

## ◆ beats_per_minute

double jack_transport_info_t::beats_per_minute

## ◆ frame

jack_nframes_t jack_transport_info_t::frame

## ◆ frame_rate

jack_nframes_t jack_transport_info_t::frame_rate

current frame rate (per second)

## ◆ loop_end

jack_nframes_t jack_transport_info_t::loop_end

## ◆ loop_start

jack_nframes_t jack_transport_info_t::loop_start

## ◆ smpte_frame_rate

float jack_transport_info_t::smpte_frame_rate

29.97, 30, 24 etc.

## ◆ smpte_offset

long jack_transport_info_t::smpte_offset

SMPTE offset (from frame 0)

## ◆ tick

int jack_transport_info_t::tick

## ◆ ticks_per_beat

double jack_transport_info_t::ticks_per_beat

## ◆ transport_state

jack_transport_state_t jack_transport_info_t::transport_state

## ◆ usecs

jack_time_t jack_transport_info_t::usecs

monotonic, free-rolling

## ◆ valid

jack_transport_bits_t jack_transport_info_t::valid

which fields are legal to read

The documentation for this struct was generated from the following file:

- transport.h